Name:                lmfit
Version:             8.2
Release:             1
Summary:             Levenberg-Marquardt least-squares minimization and curve fitting
License:             BSD and CC-BY
URL:                 https://jugit.fz-juelich.de/mlz/%{name}
Source0:             https://jugit.fz-juelich.de/mlz/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.gz
BuildRequires:       cmake gcc-c++ perl-podlators
%description
C/C++ library for Levenberg-Marquardt least-squares minimization and curve
fitting

%package devel
Summary:             Development files for %{name}
Requires:            %{name}%{?_isa} = %{version}-%{release}
%description devel
Development files for %{name}.

%prep
%autosetup -n %{name}-v%{version} -p1
cp -ra demo _demo
sed -i 's@${destination}/lib@${destination}/%{_lib}@' lib/CMakeLists.txt CMakeLists.txt
sed -i 's@${CMAKE_INSTALL_PREFIX}/man@%{_mandir}@' man/CMakeLists.txt

%build
mkdir build && pushd build
%{cmake} ..
make %{?_smp_mflags}
popd

%install
pushd build
make install DESTDIR=%{buildroot}
popd
rm -rf %{buildroot}%{_mandir}/html %{buildroot}%{_bindir}/* %{buildroot}%{_libdir}/*.la
rm -rf demo
mv -f _demo demo

%check
pushd build
make %{?_smp_mflags} test
popd

%files
%doc COPYING CHANGELOG
%{_libdir}/lib%{name}.so.8
%{_libdir}/lib%{name}.so.8.2

%files devel
%doc demo
%doc %{_datadir}/doc/lmfit/
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*
%{_mandir}/man7/*

%changelog
* Mon Jul 27 2020 zhanghua <zhanghua40@huawei.com> - 8.2-1
- package init
